#include "evsemeter.h"
#include "esp_event.h"
#include "esp_log.h"
#include "meter_ade7758.h"

static const char *TAG = "evsemeter_ade7758";

esp_err_t evsemeter_init(void)
{
    ESP_LOGI(TAG, "Initializing EVSE meter (ADE7758)");
    return ESP_OK;
}

esp_err_t evsemeter_read_current(float *current)
{
    if (!current) {
        return ESP_ERR_INVALID_ARG;
    }
    
    esp_event_post(EVSEMETER_EVENT, EVSEMETER_EVENT_UPDATE, current, sizeof(float), portMAX_DELAY);
    return ESP_OK;
}
